FacileForms Unspecified XSS

2006-09-28T14:48:56
ID OSVDB:29237
Type osvdb
Reporter FacileForms()
Modified 2006-09-28T14:48:56

Description

Vulnerability Description

FacileForms contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate an unspecified variable. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Technical Description

This vulnerability is only present when either the register_globals PHP option is 'off' or the RG_EMULATION setting of Joomla/Mambo is 'on'.

Solution Description

Upgrade to version 1.4.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

FacileForms contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate an unspecified variable. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor Specific Solution URL: http://www.facileforms.biz/component/option,com_docman/task,cat_view/gid,89/Itemid,96/ Vendor Specific News/Changelog Entry: http://www.facileforms.biz/content/view/108/140/ Secunia Advisory ID:22125 FrSIRT Advisory: ADV-2006-3817 CVE-2006-5106 Bugtraq ID: 20254